FS_SETQUOTA(1)

NAME
fs_setquota - Sets the quota for the volume containing a file or directory

SYNOPSIS
fs setquota [-path <dir/file path>]
    -max <max quota in kbytes> [-help]

fs setq [-p <dir/file path>] -m <max quota> [-h]

fs sq [-p <dir/file path>] -m <max quota> [-h]

DESCRIPTION
The fs setquota command sets the quota (maximum possible size) of the read/write volume that contains the directory or file named by the -path argument.

To set the quota on multiple volumes at the same time, use the fs setvol command.

To display a volume's quota, use the fs examine, fs listquota, or fs quota command.

CAUTIONS
Currently, the maximum quota for a volume is 2 terabytes (2^41 bytes). Note that this only affects the volume's quota; a volume may grow much larger if the volume quota is disabled. However, volumes over 2 terabytes in size may be impractical to move, and may have their size incorrectly reported by some tools, such as fs_listquota(1).

OPTIONS

-path <dir/file path>
    Names the directory or file for which to set the host volume's quota. Partial pathnames are interpreted relative to the current working directory, which is also the default value if this argument is omitted.

    Specify the read/write path to the file or directory, to avoid the failure that results from attempting to change a read-only volume. By convention, the read/write path is indicated by placing a period before the cell name at the pathname's second level (for example, /afs/.example.com). For further discussion of the concept of read/write and read-only paths through the filespace, see the fs mkmount reference page.

-max <max quota>
    Sets the maximum amount of file server disk space the volume can occupy. The quota value should be a positive integer followed by an optional suffix: "K" for kibibytes (1024 bytes, the default), "M" for mebibytes (1024 kibibytes), "G" for gibibytes (1024 mebibytes), and "T" for tebibytes (1024 gibibytes). A value of 0 sets an unlimited quota, but the size of the disk partition that houses the volume places an absolute limit on the volume's size.

    If the -path argument is omitted (to set the quota of the volume housing the current working directory), the -max switch must be included with this argument.

-help
    Prints the online help for this command. All other valid options are ignored.

EXAMPLES
The following command imposes a maximum quota of 3000 kilobytes on the volume that houses the /afs/example.com/usr/smith directory:

   % fs setquota -path /afs/example.com/usr/smith -max 3000

PRIVILEGE REQUIRED
The issuer must belong to the system:administrators group.

SEE ALSO
fs_examine(1), fs_listquota(1), fs_quota(1), fs_mkmount(1), fs_setvol(1)

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.